package com.engine.organization.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.organization.entity.fieldset.TypeTreeDTO;
import com.engine.organization.service.FieldDefinedService;
import com.engine.organization.service.impl.FieldDefinedServiceImpl;
import com.engine.organization.util.response.ReturnResult;
import weaver.hrm.User;

import java.util.List;

/**
 * @Author weaver_cl
 * @description:
 * @Date 2022/6/13
 * @Version V1.0
 **/
public class FieldDefinedWrapper extends Service {

    private FieldDefinedService getFieldDefinedService(User user) {
        return ServiceUtil.getService(FieldDefinedServiceImpl.class,user);
    }


    public ReturnResult getTree(String moduleName) {
        List<TypeTreeDTO> treeDTOS = getFieldDefinedService(user).getTree(moduleName);
        return ReturnResult.successed();
    }
}
