package com.engine.organization.mapper.extend;

import com.engine.organization.entity.extend.po.ExtendTitlePO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * @author:dxfeng
 * @createTime: 2022/06/14
 * @version: 1.0
 */
public interface ExtendTitleMapper {
    /**
     * 根据分组类型获取标题信息
     *
     * @param groupId
     * @return
     */
    List<ExtendTitlePO> getTitlesByGroupID(@Param("groupId") String groupId);

    List<ExtendTitlePO> getTitlesByIds(@Param("ids") Collection<Long> ids);
}
